@echo off
title Play Station Doom

echo ---------------------------------------------------------------------------
echo -                          GEC Master Edition                             -
echo -                              17/12/2018                                 -
echo -                           Play Station Doom                             -
echo ---------------------------------------------------------------------------

cd sourceport

:ask
echo.
echo Select the game mode.
echo.
echo 1. Normal Mode
echo 2. Brightmaps Mode
echo 3. Lights Mode
echo 4. Lights And Brightmaps Mode
echo.
set INPUT=
set /P INPUT=Mode: %=%
If /I "%INPUT%"=="1" goto Normal 
If /I "%INPUT%"=="2" goto Brightmaps
If /I "%INPUT%"=="3" goto Lights
If /I "%INPUT%"=="4" goto LightsBrightmaps
goto ask


:Normal
gzdoom.exe -config ../psxdoom/psxdoom.ini -file ../psxdoom/PSXDOOM.pk3
goto exit

:Brightmaps
gzdoom.exe -config ../psxdoom/psxdoom.ini -file ../psxdoom/PSXDOOM.pk3 ../psxdoom/Brightmaps_PSX.pk3
goto exit

:Lights
gzdoom.exe -config ../psxdoom/psxdoom.ini -file ../psxdoom/PSXDOOM.pk3 ../psxdoom/Lights_PSX.pk3
goto exit

:LightsBrightmaps
gzdoom.exe -config ../psxdoom/psxdoom.ini -file ../psxdoom/PSXDOOM.pk3 ../psxdoom/Brightmaps_PSX.pk3 ../psxdoom/Lights_PSX.pk3
goto exit

:exit
